### Hierarchy

- Client

### Implemented by

- DialogProxy
- FetchClient

## Index

### Properties

- lastActivity

### Methods

- addClientListener
- deleteJson
- getBlob
- getJson
- getText
- isAnyUserInBriefcaseMode
- isUserInBriefcaseMode
- openStream
- postJson
- postMultipart
- putJson
- removeClientListener

## Properties

### lastActivity

lastActivity: Date

- Defined in client/Client.ts:11

## Methods

### addClientListener

- addClientListener(clientListener: ClientListener, locale: CvLocale): any

- - Defined in client/Client.ts:17

  #### Parameters

  - ##### clientListener: ClientListener

  - ##### locale: CvLocale

  #### Returns any

### deleteJson

- deleteJson(baseUrl: string, resourcePath: string): Promise<JsonClientResponse>

- - Defined in client/Client.ts:35

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  #### Returns Promise<JsonClientResponse>

### getBlob

- getBlob(baseUrl: string, resourcePath?: string): Promise<BlobClientResponse>

- - Defined in client/Client.ts:21

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<BlobClientResponse>

### getJson

- getJson(baseUrl: string, resourcePath: string, queryParams?: StringDictionary): Promise<JsonClientResponse>

- - Defined in client/Client.ts:29

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional queryParams: StringDictionary

  #### Returns Promise<JsonClientResponse>

### getText

- getText(baseUrl: string, resourcePath?: string): Promise<TextClientResponse>

- - Defined in client/Client.ts:23

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<TextClientResponse>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- - Defined in client/Client.ts:13

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- - Defined in client/Client.ts:15

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### openStream

- openStream(baseUrl: string, resourcePath?: string): Promise<StreamProducer>

- - Defined in client/Client.ts:25

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<StreamProducer>

### postJson

- postJson(baseUrl: string, resourcePath: string, body?: StringDictionary): Promise<JsonClientResponse>

- - Defined in client/Client.ts:31

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional body: StringDictionary

  #### Returns Promise<JsonClientResponse>

### postMultipart

- postMultipart<T>(baseUrl: string, resourcePath: string, formData: FormData): Promise<VoidClientResponse>

- - Defined in client/Client.ts:27

  #### Type parameters

  - #### T

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### formData: FormData

  #### Returns Promise<VoidClientResponse>

### putJson

- putJson(baseUrl: string, resourcePath: string, body?: StringDictionary): Promise<JsonClientResponse>

- - Defined in client/Client.ts:33

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional body: StringDictionary

  #### Returns Promise<JsonClientResponse>

### removeClientListener

- removeClientListener(clientListener: ClientListener): any

- - Defined in client/Client.ts:19

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns any

Generated using TypeDoc